Skip to main content
POST
/
action
/
file_converter_metadata_action
[FC4] Extract File Metadata
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/file_converter_metadata_action \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input_file_url": "<string>",
  "output_variable_name": "file_metadata"
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
input_file_url
string
required

S3 or public URL of the file.

output_variable_name
string
default:file_metadata
required

Variable name for the result.

Pattern: ^[a-zA-Z][a-zA-Z0-9_]*$

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action